### Hierarchy

- TemplateSettings
  - TemplateOptions

## Index

### Properties

- escape
- evaluate
- imports
- interpolate
- sourceURL
- variable

## Properties

### Optional escape

escape: RegExp

Inherited from TemplateSettings.escape

- Defined in node_modules/@types/lodash/common/common.d.ts:98

The "escape" delimiter.

### Optional evaluate

evaluate: RegExp

Inherited from TemplateSettings.evaluate

- Defined in node_modules/@types/lodash/common/common.d.ts:103

The "evaluate" delimiter.

### Optional imports

imports: Dictionary<any>

Inherited from TemplateSettings.imports

- Defined in node_modules/@types/lodash/common/common.d.ts:108

An object to import into the template as local variables.

### Optional interpolate

interpolate: RegExp

Inherited from TemplateSettings.interpolate

- Defined in node_modules/@types/lodash/common/common.d.ts:113

The "interpolate" delimiter.

### Optional sourceURL

sourceURL: undefined | string

- Defined in node_modules/@types/lodash/common/string.d.ts:655

The sourceURL of the template's compiled source.

### Optional variable

variable: undefined | string

Inherited from TemplateSettings.variable

- Defined in node_modules/@types/lodash/common/common.d.ts:118

Used to reference the data object in the template text.

Generated using TypeDoc